Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044672
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-07-23 10:322020-11-23 12:47
ReporterrafarodaView Statuspublic 
Assigned Toadrianromero 
PrioritynormalResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision110492c82546
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044672: Payment Group Providers do not work with Pay Open Tickets

DescriptionPayment Group Providers do not work with Pay Open Tickets: so we can't pay open tickets using the new payment group providers infrastructure http://wiki.openbravo.com/wiki/Retail:Payment_Methods_grouping_by_Provider_User_Guide [^]
Steps To Reproduce* Congigure Payment Grouo Providers to pay with credit cards
* In WebPOS, operate Menu > Pay Open Tickets: WebPOS gets stuck when using Credit Card
Proposed SolutionMake the payment provider to accept more than 1 order.
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121607)
hgbot (developer)
2020-07-24 13:18

Repository: erp/pmods/org.openbravo.retail.nexoprovider
Changeset: e6db3506933d2547fb1fe1b762168b34aec9898a
Author: Adrián Romero <adrian.romero <at> openbravo.com>
Date: Fri Jul 24 13:17:28 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.nexoprovider/rev/e6db3506933d2547fb1fe1b762168b34aec9898a [^]

Related to ISSUE-0044672: Payment Group Providers do not work with Pay Open Tickets
* Adjust unit tests with new function UUID

---
M web-test/root.js
---
(0121608)
hgbot (developer)
2020-07-24 13:24

Repository: erp/pmods/org.openbravo.retail.asyncpayprovider
Changeset: 110492c82546ffd8fdb45f78c37c7f1d2f38bac9
Author: Adrián Romero <adrian.romero <at> openbravo.com>
Date: Fri Jul 24 13:23:18 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.asyncpayprovider/rev/110492c82546ffd8fdb45f78c37c7f1d2f38bac9 [^]

Fixes ISSUE-0044672: Payment Group Providers do not work with Pay Open Tickets
* Generates UUID for the transaction field

---
M web/org.openbravo.retail.asyncpayprovider/source/provider/abstractprovidergroup.js
---
(0121686)
adrianromero (manager)
2020-07-29 12:36

Needs to fix also the case of payment has overpayment limit
(0121687)
hgbot (developer)
2020-07-29 12:46

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/37 [^]
(0121719)
hgbot (developer)
2020-07-30 17:31

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 67ddf4c7fb7068b4961d4cd4a7ceaa863c3884c2
Author: Adrián Romero <adrian.romero@openbravo.com>
Date: 2020-07-30T15:31:06+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/67ddf4c7fb7068b4961d4cd4a7ceaa863c3884c2 [^]

Fixes ISSUE-44672: Payment Group Providers do not work with Pay Open Tickets
Assign gross field in multiorder object to match gross field in order object

---
M web/org.openbravo.retail.posterminal/js/components/order.js
---
(0121720)
hgbot (developer)
2020-07-30 17:31

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/37 [^]
(0124570)
ngarcia (developer)
2020-11-23 12:47

The error shown in the terminal was:

Cannot read property 'replace' of undefined

- Issue History
Date Modified Username Field Change
2020-07-23 10:32 rafaroda New Issue
2020-07-23 10:32 rafaroda Assigned To => adrianromero
2020-07-23 10:32 rafaroda Resolution time => 1596664800
2020-07-23 10:32 rafaroda Triggers an Emergency Pack => No
2020-07-23 10:33 rafaroda Tag Attached: NOR
2020-07-24 13:18 hgbot Checkin
2020-07-24 13:18 hgbot Note Added: 0121607
2020-07-24 13:24 hgbot Checkin
2020-07-24 13:24 hgbot Note Added: 0121608
2020-07-24 13:24 hgbot Status new => resolved
2020-07-24 13:24 hgbot Resolution open => fixed
2020-07-24 13:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.asyncpayprovider/rev/110492c82546ffd8fdb45f78c37c7f1d2f38bac9 [^]
2020-07-24 13:25 adrianromero Review Assigned To => guilleaer
2020-07-29 12:36 adrianromero Note Added: 0121686
2020-07-29 12:36 adrianromero Status resolved => new
2020-07-29 12:36 adrianromero Resolution fixed => open
2020-07-29 12:46 hgbot Note Added: 0121687
2020-07-30 17:31 hgbot Resolution open => fixed
2020-07-30 17:31 hgbot Status new => closed
2020-07-30 17:31 hgbot Fixed in Version => RR20Q4
2020-07-30 17:31 hgbot Note Added: 0121719
2020-07-30 17:31 hgbot Note Added: 0121720
2020-11-23 12:47 ngarcia Note Added: 0124570


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker